Mailboxes
Update mailbox settings
Update display name, daily send limit, signature, sending enabled status, or tags.
curl -X PATCH "https://api.sendkit.ai/v1/mailboxes/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
]
}'
import requests
import json
url = "https://api.sendkit.ai/v1/mailboxes/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
]
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/mailboxes/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
]
}`)
req, err := http.NewRequest("PATCH", "https://api.sendkit.ai/v1/mailboxes/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/mailboxes/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
]
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"_id": "665b1c2d3e4f5a6b7c8d9e0f",
"email": "sarah@company.com",
"displayName": "Sarah J.",
"dailySendLimit": 30,
"sendingEnabled": true,
"tags": [
"outreach",
"primary"
],
"updatedAt": "2025-06-20T09:00:00.000Z"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Mailbox not found"
}
}
PATCH
/v1/mailboxes/{id}PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
idstring
RequiredResource ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
displayNamestring
Sender display name
dailySendLimitinteger
Maximum emails per day (clamped to 1-50)
Min: 1 • Max: 50
signaturestring
HTML email signature
sendingEnabledboolean
Enable or disable sending from this mailbox
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
idstring
RequiredResource ID
Body
application/json
displayNamestring
Sender display name
dailySendLimitinteger
Maximum emails per day (clamped to 1-50)
signaturestring
HTML email signature
sendingEnabledboolean
Enable or disable sending from this mailbox
Responses
successboolean
dataobject
Updated mailbox (credentials excluded)
Was this page helpful?
Last updated today
Built with Documentation.AI